<?php
/* Prevent direct access to the plugin */
if ( !defined( 'ABSPATH' ) ) {
    die( "Sorry, you are not allowed to access this page directly." );
}

function adsense_inpost_ads_init(){
	add_shortcode('AdSense-A', 'adsense_inpost_ads_a');
	add_shortcode('AdSense-B', 'adsense_inpost_ads_b');
	add_shortcode('AdSense-C', 'adsense_inpost_ads_c');
	add_shortcode('AdSense-D', 'adsense_inpost_ads_d');
	add_shortcode('AdSense-E', 'adsense_inpost_ads_e');
	add_shortcode('AdSense-F', 'adsense_inpost_ads_f');
	add_shortcode('AdSense-G', 'adsense_inpost_ads_g');
	add_shortcode('AdSense-H', 'adsense_inpost_ads_h');
	add_shortcode('AdSense-I', 'adsense_inpost_ads_i');
	add_shortcode('AdSense-J', 'adsense_inpost_ads_j');
	if( function_exists( 'has_blocks' ) ){
		register_block_type( 'adsense-in-post-ads-by-oizuled/adsense-ad-a', array(
			'editor_script'		=> 'adsense-ad-block-a',
			'render_callback'	=> 'adsense_inpost_ads_a'
		));
		register_block_type( 'adsense-in-post-ads-by-oizuled/adsense-ad-b', array(
			'editor_script'		=> 'adsense-ad-block-b',
			'render_callback'	=> 'adsense_inpost_ads_b'
		));
		register_block_type( 'adsense-in-post-ads-by-oizuled/adsense-ad-c', array(
			'editor_script'		=> 'adsense-ad-block-c',
			'render_callback'	=> 'adsense_inpost_ads_c'
		));
		register_block_type( 'adsense-in-post-ads-by-oizuled/adsense-ad-d', array(
			'editor_script'		=> 'adsense-ad-block-d',
			'render_callback'	=> 'adsense_inpost_ads_d'
		));
		register_block_type( 'adsense-in-post-ads-by-oizuled/adsense-ad-e', array(
			'editor_script'		=> 'adsense-ad-block-e',
			'render_callback'	=> 'adsense_inpost_ads_e'
		));
		register_block_type( 'adsense-in-post-ads-by-oizuled/adsense-ad-f', array(
			'editor_script'		=> 'adsense-ad-block-f',
			'render_callback'	=> 'adsense_inpost_ads_f'
		));
		register_block_type( 'adsense-in-post-ads-by-oizuled/adsense-ad-g', array(
			'editor_script'		=> 'adsense-ad-block-g',
			'render_callback'	=> 'adsense_inpost_ads_g'
		));
		register_block_type( 'adsense-in-post-ads-by-oizuled/adsense-ad-h', array(
			'editor_script'		=> 'adsense-ad-block-h',
			'render_callback'	=> 'adsense_inpost_ads_h'
		));
		register_block_type( 'adsense-in-post-ads-by-oizuled/adsense-ad-i', array(
			'editor_script'		=> 'adsense-ad-block-i',
			'render_callback'	=> 'adsense_inpost_ads_i'
		));
		register_block_type( 'adsense-in-post-ads-by-oizuled/adsense-ad-j', array(
			'editor_script'		=> 'adsense-ad-block-j',
			'render_callback'	=> 'adsense_inpost_ads_j'
		));
	}
}
add_action( 'init', 'adsense_inpost_ads_init' );

/* Set Shortcodes */
function adsense_inpost_ads_a() {
	global $aip_options;
	return do_shortcode( $aip_options['unit_a'] );
}

function adsense_inpost_ads_b() {
	global $aip_options;
	return do_shortcode( $aip_options['unit_b'] );
}

function adsense_inpost_ads_c() {
	global $aip_options;
	return do_shortcode( $aip_options['unit_c'] );
}

function adsense_inpost_ads_d() {
	global $aip_options;
	return do_shortcode( $aip_options['unit_d'] );
}
function adsense_inpost_ads_e() {
	global $aip_options;
	return do_shortcode( $aip_options['unit_e'] );
}
function adsense_inpost_ads_f() {
	global $aip_options;
	return do_shortcode( $aip_options['unit_f'] );
}
function adsense_inpost_ads_g() {
	global $aip_options;
	return do_shortcode( $aip_options['unit_g'] );
}
function adsense_inpost_ads_h() {
	global $aip_options;
	return do_shortcode( $aip_options['unit_h'] );
}
function adsense_inpost_ads_i() {
	global $aip_options;
	return do_shortcode( $aip_options['unit_i'] );
}
function adsense_inpost_ads_j() {
	global $aip_options;
	return do_shortcode( $aip_options['unit_j'] );
}